from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XMenuProxyListener(XInterface, Protocol):
    def menuChangedMultiple(self, MenuMultipleChanges: sequence<MenuMultipleChange>) -> None: ...
    def menuChangedSingle(self, MenuSingleChanges: sequence<MenuSingleChange>) -> None: ...
    def menuItemDeleted(self, ID: int) -> None: ...
